API referenceFields
Append fields to the envelope
Scope envelopes:write. Same rules as replace, without removing existing fields.
apiKeyheader
AuthorizationBearer <fv_live_… or fv_test_…>id*stringFormat
uuidIdempotency-Key?string8–128 chars of letters, digits, _, -, : or .; scoped to your organization, key and path for 24 hours
Length
8 <= length <= 128application/json- body
fields*array<>Items
1 <= items <= 500The fields now on the envelope
application/json- response
success*booleanrequest_id*stringFormat
uuiddata?array<>curl -X POST 'https://api.flowverify.co/v1/envelopes/497f6eca-6276-4993-bfeb-53cbbbba6f08/fields' \ -H 'Content-Type: application/json' \ -d '{ "fields": [ { "file_id": "8a0cfb4f-ddc9-436d-91bb-75133c583767", "recipient_id": "b6731cb5-d462-49ea-afb8-7933b670b560", "type": "signature", "page": 1, "x": 0, "y": 0, "width": 1, "height": 1 } ]}'Example Response
{ "success": true, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846", "data": [ { "object": "field", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "file_id": "8a0cfb4f-ddc9-436d-91bb-75133c583767", "recipient_id": "b6731cb5-d462-49ea-afb8-7933b670b560", "type": "signature", "label": "string", "page": 0, "x": 0, "y": 0, "width": 0, "height": 0, "required": true, "value": "string", "is_filled": true } ]}Remove a recipient (and their fields) from a draft envelope DELETE
Scope `envelopes:write`.
Replace every field on the envelope PUT
Scope `envelopes:write`. Deletes existing fields and creates the given set atomically. Only `sign` recipients may hold fields; every signer needs at least one field before the envelope can be sent.